Get transaction historyCopy Pageget https://api.fireblocks.io/v1/transactionsGet the transaction history for your workspace. Endpoint Permissions: Admin, Non-Signing Admin, Signer, Approver, Editor, Viewer.Query ParamsnextstringCursor returned in next-page header that can be used to fetch the next page of resultsprevstringCursor returned in prev-page header that can be used to fetch the previous page of resultsbeforestringUnix timestamp in milliseconds. Returns only transactions created before the specified date. Provides an explicit end time. If not provided, default value will be applied, and may change over time. The current default value is the past 90 days.afterstringUnix timestamp in milliseconds. Returns only transactions created after the specified date. Provides an explicit start time. If not provided, default value will be applied, and may change over time. The current default value is the past 90 days.statusstringYou can filter by one of the statuses.orderBystringenumThe field to order the results by. Note: Ordering by a field that is not createdAt may result in transactions that receive updates as you request the next or previous pages of results, resulting in missing those transactions.createdAtlastUpdatedAllowed:createdAtlastUpdatedsortstringenumThe direction to order the results byASCDESCAllowed:ASCDESClimitinteger≥ 1Defaults to 200Limits the number of results. If not provided, a limit of 200 will be used. The maximum allowed limit is 500sourceTypestringenumThe source type of the transactionVAULT_ACCOUNTEXCHANGE_ACCOUNTINTERNAL_WALLETEXTERNAL_WALLETCONTRACTFIAT_ACCOUNTNETWORK_CONNECTIONCOMPOUNDUNKNOWNGAS_STATIONEND_USER_WALLETShow 11 enum valuessourceIdstringThe source ID of the transactiondestTypestringenumThe destination type of the transactionVAULT_ACCOUNTEXCHANGE_ACCOUNTINTERNAL_WALLETEXTERNAL_WALLETCONTRACTFIAT_ACCOUNTNETWORK_CONNECTIONCOMPOUNDONE_TIME_ADDRESSEND_USER_WALLETShow 10 enum valuesdestIdstringThe destination ID of the transactionassetsstringA list of assets to filter by, seperated by commastxHashstringReturns only results with a specified txHashsourceWalletIdstringReturns only results where the source is a specific end user walletdestWalletIdstringReturns only results where the destination is a specific end user walletResponses 200A list of transactions defaultError ResponseUpdated 5 months ago